> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks Sent



## OpenAPI

````yaml api-reference/openapi-utilities.json GET /webhook_send
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Utilities
  version: 1.18.668-g44186aa7
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /webhook_send:
    get:
      tags: []
      summary: index webhook_send
      parameters:
        - description: >-
            The unique identifier of the object that caused this send attempt.
            Filterable.
          in: query
          name: object_id
          schema:
            type: string
        - description: >-
            The status of the webhook send attempt. One of: `sent`, `skipped`,
            `error`. Filterable.
          in: query
          name: status
          schema:
            type: string
        - description: >-
            The unique identifier for the controlling webhook row of these send
            attempts. Filterable.
          in: query
          name: webhook_id
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples: {}
              schema:
                properties:
                  data:
                    items:
                      properties:
                        attempt_number:
                          description: >-
                            The number of send attempts before this attempt was
                            made
                          type: integer
                        error:
                          description: >-
                            If the webhook failed, the reason why it did not
                            send successfully
                          type: string
                        id:
                          description: Unique identifier for the object
                          type: string
                        object_id:
                          description: >-
                            The unique identifier of the object that caused this
                            send attempt. Filterable.
                          type: string
                        operation:
                          description: >-
                            The database operation that caused this webhook send
                            attempt
                          type: string
                        org_id:
                          type: string
                        status:
                          description: >-
                            The status of the webhook send attempt. One of:
                            `sent`, `skipped`, `error`. Filterable.
                          type: string
                        webhook_id:
                          description: >-
                            The unique identifier for the controlling webhook
                            row of these send attempts. Filterable.
                          type: string
                        will_retry:
                          description: >-
                            Boolean indicating whether or not the hook will
                            retry
                          enum:
                            - 'true'
                            - 'false'
                          type: string
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` webhook_send elements, starting after the webhook_send
            described by `page_cursor`. If no more webhook_sends are available,
            the resulting list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````